BEEM - Android XMPP - Bug #424

error login
04/11/2012 08:48 AM - Anonymous

Status: Closed Start date: 04/11/2012
Priority: Normal Due date:

Assignee: Frédéric Barthéléry % Done: 100%
Category: Estimated time: 0.00 hour
Target version: 0.1.8

Affected version: 0.1.6 Locale:

Description

When | add a contact, suggesting that error login.help!

Related issues:
Has duplicate Bug #430: Can not add buddy Closed 04/16/2012
Has duplicate Bug #426: add contact Closed 04/12/2012

Associated revisions

Revision 1000:3651228bf160 - 10/08/2012 11:36 PM - Frédéric Barthéléry

Disable email format check on the add contact dialog.
A roster item is not necessary in the form of an bare jid.
fix #424

History

#1 - 04/11/2012 02:47 PM - Frédéric Barthéléry
- Status changed from New to Assigned

- Assignee set to Frédéric Barthéléry

You will have an error if your contact jid does not look like a real email address. Note that we don't support ip address in the server part. We should
make this check more permissive

PS : The regexp use is
[a-ZA-Z0-9._%+-]+@(?:[a-zA-Z0-9-]+.)+[a-zA-Z]{2,4}

#2 - 05/07/2012 09:02 PM - Frédéric Barthéléry

- Target version set to 0.1.9

#3 - 10/09/2012 03:11 AM - Frédéric Barthéléry
- Status changed from Assigned to Resolved

- % Done changed from 0 to 100
Applied in changeset 3651228bf160.

#4 - 10/30/2012 12:06 AM - Frédéric Barthéléry

- Status changed from Resolved to Closed

#5 - 02/24/2013 09:09 PM - Frédéric Barthéléry

- Target version changed from 0.1.9 to 0.1.8
